<?php
/**
* @version	$Id: pdf_renderer.php 14244 2011-03-16 20:53:41Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

defined('FULL_PATH') or die('restricted access!');

class kPDFRenderer {

	const SHAPE_DRAW_FILL =  1;
	const SHAPE_DRAW_FILL_AND_STROKE = 2;
	const SHAPE_DRAW_STROKE = 0 ;

	function SetFont($font, $size) {}

	function SetFillColor($color) {}

	function SetLineColor($color) {}

	function SetLineWith($width) {}

	function DrawLine($x1, $y1, $x2, $y2) {}

	function DrawRectangle($x1, $y1, $x2, $y2, $mode) {}

	function DrawText($x, $y, $text) {}

	function GetPDFString() {}

	function GetAscent() {}

	function GetDescent() {}
}
